
WikiNG - Feature #1917

Smart quotes

19 Dec 2011 10:53 - Andriy Lesyuk

Status: Closed Start date: 19 Dec 2011

Priority: Insignificant Due date: 15 Oct 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0b   

External issue:    

Description

Quotation mark '”' can be automatically replaced by opening and closing quotation marks (not sure why I like them more).

Related issues:

Related to WikiNG - Bug #2152: Do not replace characters in wiki links Closed 12 Feb 2013 15 Oct 2013

Associated revisions

Revision 41 - 12 Sep 2013 22:52 - Andriy Lesyuk

Implemented smart quotes (#1917) and renamed hook macro (#2206)

Revision 42 - 13 Sep 2013 09:00 - Andriy Lesyuk

Yet another fix for smart quotes (#1917)

Revision 43 - 14 Sep 2013 13:23 - Andriy Lesyuk

Completely refactored smart quotes (#1917)

Revision 44 - 14 Sep 2013 15:31 - Andriy Lesyuk

Disabled smart quotes for #1917

Revision 61 - 15 Oct 2013 13:24 - Andriy Lesyuk

Rfactored glyphs engine (#2152), added back smart quotes (#1917)

History

#1 - 06 Jan 2012 10:40 - Andriy Lesyuk

- Target version set to 0.0.2

#2 - 15 Feb 2012 10:51 - Andriy Lesyuk

Same for single quotation marks?..

#3 - 15 Feb 2012 10:52 - Andriy Lesyuk

- Due date set to 15 Feb 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100

#4 - 15 Feb 2012 12:23 - Andriy Lesyuk

- Tracker changed from Improvement to Feature

- Due date deleted (15 Feb 2012)

- % Done changed from 100 to 0
#5 - 15 Feb 2012 12:26 - Andriy Lesyuk

- Tracker changed from Feature to Improvement

#6 - 15 Feb 2012 12:27 - Andriy Lesyuk

- Tracker changed from Improvement to Feature

#7 - 15 Feb 2012 12:30 - Andriy Lesyuk

- Status changed from Closed to Reopened

#8 - 28 Feb 2012 21:57 - Andriy Lesyuk

- Target version deleted (0.0.2)

#9 - 28 Feb 2012 21:59 - Andriy Lesyuk

- Target version set to 1.0.0b

#10 - 09 Sep 2013 10:26 - Andriy Lesyuk

Quotation marks can be localized, see here.

#11 - 12 Sep 2013 18:28 - Andriy Lesyuk

- Status changed from Reopened to In Progress

- Target version changed from 1.0.0b to 0.0.4

- % Done changed from 0 to 70

#12 - 12 Sep 2013 22:53 - Andriy Lesyuk

- Subject changed from Quotation marks to Smart quotes

#13 - 14 Sep 2013 13:24 - Andriy Lesyuk

- Due date set to 13 Sep 2013

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#14 - 14 Sep 2013 14:46 - Andriy Lesyuk

- Due date deleted (13 Sep 2013)

- Status changed from Closed to Reopened

- Target version changed from 0.0.4 to 1.0.0b

- % Done changed from 100 to 70

Ok, it’s too buggy for now...

#15 - 15 Oct 2013 13:15 - Andriy Lesyuk

- Due date set to 15 Oct 2013

- Status changed from Reopened to In Progress

- % Done changed from 70 to 90

#16 - 15 Oct 2013 13:31 - Andriy Lesyuk

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
